Page MenuHomeFreeBSD

Add tests for nvlist_clone
ClosedPublic

Authored by rstone on Feb 17 2015, 5:43 PM.

Details

Diff Detail

Repository
rS FreeBSD src repository
Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

rstone updated this revision to Diff 3813.Feb 17 2015, 5:43 PM
rstone retitled this revision from to Add tests for nvlist_clone.
rstone edited the test plan for this revision. (Show Details)
rstone added a reviewer: jfv.
rstone added subscribers: pjd, Unknown Object (MLST).
jfv accepted this revision.Feb 18 2015, 10:12 PM
jfv edited edge metadata.
This revision is now accepted and ready to land.Feb 18 2015, 10:12 PM
pjd added inline comments.Feb 19 2015, 7:41 AM
lib/libnv/tests/nv_tests.cc
324–331 ↗(On Diff #3813)

Don't you want to test the clone here? If the values wre properly copied, if there is only one element, etc.? Now you are testing the source nvlist.

rstone updated this revision to Diff 3862.Feb 20 2015, 1:28 AM
rstone edited edge metadata.

Fix the test case to actually test the clone

This revision now requires review to proceed.Feb 20 2015, 1:28 AM
rstone closed this revision.Mar 1 2015, 12:21 AM
rstone updated this revision to Diff 4038.

Closed by commit rS279425 (authored by @rstone).